<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <NoWarn>$(NoWarn);8618;</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Mapster" Version="7.4.0" />
    <PackageReference Include="MediatR" Version="12.4.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
    <PackageReference Include="MiniExcel" Version="1.34.2" />
    <PackageReference Include="Portable.BouncyCastle" Version="1.9.0" />
    <PackageReference Include="RestSharp" Version="110.2.0" />
    <PackageReference Include="SSH.NET" Version="2024.2.0" />
    <PackageReference Include="XF.Utility.MQ" Version="1.0.9" />
    <PackageReference Include="FluentValidation" Version="11.10.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Hotline.Share\Hotline.Share.csproj" />
    <ProjectReference Include="..\XF.Domain.Repository\XF.Domain.Repository.csproj" />
  </ItemGroup>

</Project>
